#include <iostream>

long nCifra(long n,int broj){
		if(broj==-1){
			while(n>10){
				n/=10;
			}
			return n;
		}
		for(;broj!=1;--broj){
			n/=10;
		}
		return n%10;
}

long velicinaBroja(long k){
	int p;
	for(p=0;k>0;p++){
		k/=10;
	}
	return p;
}

long velicina(long k,long b){
	int bDuz=velicinaBroja(b);
	int kDuz=velicinaBroja(k);
	for(;(bDuz!=0)&&(kDuz!=0);--bDuz,--kDuz){
		if(nCifra(k,kDuz)>nCifra(b,bDuz)){
			return k;
		}else if(nCifra(b,bDuz)>nCifra(k,kDuz)){
			return b;
		}
	}
	if(bDuz>kDuz){
		return b;
	}else{
		return k;
	}
}

void kraj(long n,long h,long k){
	//n
	if(velicina(n,h)==n){
		if(velicina(n,k)==n){
			if(velicina(h,k)==h){
				printf("%i%i%i",n,h,k);
				return;
			}else{
				printf("%i%i%i",n,k,h);
				return;	
			}
		}
	}
	//h
	if(velicina(h,n)==h){
		if(velicina(h,k)==h){
			if(velicina(n,k)==n){
				printf("%i%i%i",h,n,k);
				return;
			}else{
				printf("%i%i%i",h,k,n);	
				return;
			}
		}
	}
	//k
	if(velicina(k,n)==k){
		if(velicina(k,h)==k){
			if(velicina(n,h)==n){
				printf("%i%i%i",k,n,h);
				return;
			}else{
				printf("%i%i%i",k,h,n);	
				return;
			}
		}
	}
}

int main() {
	long long n,h,k;
	scanf("%ld %ld %ld",&n,&h,&k);

	kraj(n,h,k);
	
	return 0;
}